ant-ivy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Luis Castro" <quarkal...@gmail.com>
Subject jasperreports -> bcmail-jdk14-136.jar
Date Mon, 17 Nov 2008 20:32:52 GMT
Hello,

When I add jasperreports as a dependency to my ivy.xml and run ant,  Ivy
gets me the files bcmail-jdk14-136.jar and bcprov-jdk14-136.jar.

Looking in the bouncycastle repository in maven2, there is a bcprov-jdk16
directory and a bcmail-jdk15.

What can i do in order to make Ivy to get the jdk15 or jdk16 jar files
instead of the jdk14?

I'm running jdk1.6 and Ivy-2.0.0-rc2 and this is my ivy.xml:

<ivy-module version="2.0">
    <info organisation="org.example" module="web-module"/>
    <dependencies>
        <dependency org="log4j" name="log4j" rev="1.2.9" conf="default"/>
        <dependency org="org.springframework" name="spring-webmvc"
rev="2.5.6" conf="default" />
        <dependency org="displaytag" name="displaytag" rev="1.1"
conf="default"/>
        <dependency org="opensymphony" name="sitemesh" rev="2.3"  />
        <dependency org="jasperreports" name="jasperreports" rev="3.1.0"
conf="default"/>
    </dependencies>
</ivy-module>


Thanks

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message